string $sourceDataDir = $home + "/primaryData/statCanIOData/CanadaIOLTables"

say ("")
say ("reading ",$sourceDataDir,"/IOL.csv for IOLCom")
localinformant IOLCom[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=1, \
	firstRow=2, \
	file=$sourceDataDir/IOL.csv, transSubStrInElemName1=",", valSubStrInElemName1="_")
export (IOLCom[]; file=$sourceDataDir/IOLCom.txt)

say ("")
say ("reading ",$sourceDataDir,"/IOL.csv for IOLInd")
localinformant IOLInd[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=2, \
	firstRow=2, \
	file=$sourceDataDir/IOL.csv, transSubStrInElemName1=",", valSubStrInElemName1="_")
export (IOLInd[]; file=$sourceDataDir/IOLInd.txt)

say ("")
say ("reading ",$sourceDataDir,"/IOL.csv for inOut")
localinformant inOut[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=3, \
	firstRow=2, \
	file=$sourceDataDir/IOL.csv)
export (inOut[]; file=$sourceDataDir/inOut.txt)

say ("")
say ("reading ",$sourceDataDir,"/IOL.csv for IOLTable")
IOLTable[iolc,ioli,t] = create (; dim=IOLCom, dim=IOLInd, dim=inOut, dim=SEQ;time:1961:2004:1;year, \
	transSubStrInElemName1=",",valSubStrInElemName1="_", firstLine=2, delimiter=",", \
	entity=currentDollarCan/year, format=coord, allCoord=off, dataFile=$sourceDataDir/IOLTest.csv)

say ("")
say ("reading ",$sourceDataDir,"/IOLFinalDemand.csv for IOLcomFD")
localinformant IOLcomFD[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=2, \
	firstRow=2, \
	transSubStrInElemName1=",", valSubStrInElemName1="_", \
	file=$sourceDataDir/IOLFinalDemand.csv)
export (IOLcomFD[]; file=$sourceDataDir/IOLcomFD.txt)

say ("")
say ("reading ",$sourceDataDir,"/IOLFinalDemand.csv for IOLFinDem")
localinformant IOLFinDem[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=1, \
	firstRow=2, \
	transSubStrInElemName1=",", valSubStrInElemName1="_", \
	file=$sourceDataDir/IOLFinalDemand.csv)
export (IOLFinDem[]; file=$sourceDataDir/IOLFinDem.txt)

say ("")
say ("reading ",$sourceDataDir,"/IOLFinalDemand.csv for IOLFinalDemandx")
local IOLFinalDemandx[iolfd,iolcfd,t] = create (; dim=IOLFinDem, dim=IOLcomFD, dim=SEQ;time:1961:2004:1;year, \
	transSubStrInElemName1=",",valSubStrInElemName1="_", firstLine=2, delimiter=",", \
	entity=currentDollarCan/year, format=coord, allCoord=off, dataFile=$sourceDataDir/IOLFinalDemand.csv)

say ("")
say ("mapping IOLFinalDemandx to IOLFinalDemand")
local mapping_IOLComFD_to_IOLCom[iolc,iolfd] = create (; dim=IOLCom, dim=IOLcomFD, format=mapping, \
	"Total commodities"->"Total commodities", \
	"  Cattle and calves"->"  Cattle and calves", \
	"  Hogs"->"  Hogs", \
	"  Poultry"->"  Poultry", \
	"  Other live animals"->"  Other live animals", \
	"  Wheat_ unmilled"->"  Wheat_ unmilled", \
	"  Corn_ barley_ oats and other grains"->"  Corn_ barley_ oats and other grains", \
	"  Fluid milk_ unprocessed"->"  Fluid milk_ unprocessed", \
	"  Eggs in the shell"->"  Eggs in the shell", \
	"  Honey and beeswax"->"  Honey and beeswax", \
	"  Fresh fruit_ excluding tropical"->"  Fresh fruit_ excluding tropical", \
	"  Vegetables_ fresh or chilled"->"  Vegetables_ fresh or chilled", \
	"  Hay and straw"->"  Hay and straw", \
	"  Seeds_ excluding oil seeds"->"  Seeds_ excluding oil seeds", \
	"  Nursery stock_ flowers_ etcetera"->"  Nursery stock_ flowers_ and other horticulture products", \
	"  Canola_ soybeans and other oil seeds"->"  Canola_ soybeans and other oil seeds", \
	"  Raw tobacco"->"  Raw tobacco", \
	"  Raw wool and mink skins"->"  Raw wool and mink skins", \
	"  Services incidental to agriculture and forestry"->"  Services incidental to agriculture and forestry", \
	"  Logs_ bolts and poles"->"  Logs_ bolts_ poles and other wood in the rough", \
	"  Pulpwood"->"  Pulpwood", \
	"  Fuelwood and other crude wood"->"  Other forestry products", \
	"  Fish and seafood_ fresh_ chilled"->"  Fish and seafood_ fresh_ chilled or frozen", \
	"  Hunting and trapping products"->"  Hunting and trapping products", \
	"  Gold and alloys in primary forms"->"  Gold and alloys in primary forms", \
	"  Iron ores and concentrates"->"  Iron ores and concentrates", \
	"  Bauxite and alumina"->"  Bauxite and alumina", \
	"  Radioactive and other metal ores and concentrates"->"  Other miscellaneous metal ores and concentrates", \
	"  Coal"->"  Coal", \
	"  Crude mineral oils"->"  Crude mineral oils", \
	"  Natural gas_ excluding liquefied"->"  Natural gas_ excluding liquefied", \
	"  Sulphur_ crude and refined"->"  Sulphur", \
	"  Gypsum"->"  Gypsum", \
	"  Salt"->"  Salt", \
	"  Peat"->"  Peat", \
	"  Clays"->"  Clays", \
	"  Natural abrasives and industrial diamonds"->"  Natural abrasives and industrial diamonds", \
	"  Asbestos and other crude and milled minerals"->"  Miscellaneous non-metallic minerals", \
	"  Sand (excluding silica) and gravel"->"  Sand and gravel_ excluding silica", \
	"  Stone and silica for industrial use"->"  Stone and silica", \
	"  Services incidental to mining"->"  Services incidental to mining", \
	"  Beef_ pork_ other meat_ fresh_ chilled_ frozen"->"  Beef_ pork and other meat and edible offal_ excluding poultry_ fresh_ chilled or frozen", \
	"  Cured meat"->"  Cured meat", \
	"  Prepared meat products"->"  Prepared meat products", \
	"  Animal fat and lard"->"  Animal fat and lard", \
	"  Margarine and shortening"->"  Margarine and shortening", \
	"  Sausage casings"->"  Sausage casings", \
	"  Feeds from animal byproducts"->"  Feeds from animal byproducts", \
	"  Raw animal hides and skins"->"  Raw animal hides and skins", \
	"  Animal byproducts for industrial use"->"  Animal byproducts for industrial use", \
	"  Poultry_ fresh_ chilled_ frozen"->"  Poultry_ fresh_ chilled_ frozen", \
	"  Other dairy products"->"  Miscellaneous dairy products", \
	"  Fresh cream"->"  Fresh cream", \
	"  Butter"->"  Butter", \
	"  Cheese"->"  Cheese", \
	"  Ice cream"->"  Ice cream", \
	"  Mayonnaise_ salad dressing and mustard"->"  Mayonnaise_ salad dressing and mustard", \
	"  Fish and seafood products"->"  Fish and seafood products", \
	"  Other fruit products"->"  Other fruit products", \
	"  Fruit and jam in airtight containers"->"  Fruit and jam in airtight containers", \
	"  Other preserved vegetables"->"  Other preserved vegetables", \
	"  Vegetables and juice in airtight containers"->"  Vegetables and vegetable juices in airtight containers", \
	"  Soups in airtight containers"->"  Soups in airtight containers", \
	"  Infant and junior foods_ in airtight containers"->"  Infant and junior foods in airtight containers", \
	"  Sauces_ pickles_ etcetera"->"  Pickles_ relishes and other sauces", \
	"  Vinegar"->"  Vinegar", \
	"  Prepared meals_ mineral water_ pasta product_ et cetera"->"  Prepared meals_ mineral water and pasta product excluding dry pasta", \
	"  Feed supplements and premixes"->"  Feed supplements and premixes", \
	"  Complete feeds"->"  Complete feeds", \
	"  Feeds from grain byproducts"->"  Feeds from grain byproducts", \
	"  Feeds from vegetable byproducts"->"  Feeds from vegetable byproducts", \
	"  Pet feeds"->"  Pet feeds", \
	"  Wheat flour"->"  Wheat flour", \
	"  Starches"->"  Starches", \
	"  Breakfast cereal products"->"  Breakfast cereal products", \
	"  Biscuits"->"  Biscuits", \
	"  Bread and rolls"->"  Bread and rolls", \
	"  Other bakery products including food snacks"->"  Other bakery products and food snacks", \
	"  Cocoa and chocolate"->"  Cocoa and chocolate", \
	"  Nuts"->"  Nuts", \
	"  Confectionery"->"  Confectionery", \
	"  Sugar"->"  Sugar", \
	"  Oil-cake feeds"->"  Feeds from vegetable oil by-products", \
	"  Crude vegetable oils"->"  Crude vegetable oils", \
	"  Nitrogen function compounds"->"  Nitrogen function compounds", \
	"  Other flours and processed grains"->"  Other flours and processed grains", \
	"  Maple sugar_ syrup and other syrup"->"  Maple sugar and syrup_ other syrups_ and molasses", \
	"  Prepared cake and other mixes"->"  Prepared cake and other mixes", \
	"  Dehydrated soup mixes and bases"->"  Dehydrated soup mixes and bases", \
	"  Roasted coffee"->"  Roasted coffee", \
	"  Tea"->"  Tea", \
	"  Potato chips and flakes"->"  Potato chips and flakes", \
	"  Other food products"->"  Other miscellaneous food products", \
	"  Soft drink concentrates"->"  Soft drink concentrates", \
	"  Carbonated soft drinks"->"  Carbonated soft drinks", \
	"  Distilled alcoholic beverages"->"  Distilled alcoholic beverages", \
	"  Beer_ including coolers"->"  Beer and beer coolers", \
	"  Wine_ including coolers"->"  Wine and wine coolers", \
	"  Unmanufactured tobacco"->"  Unmanufactured tobacco", \
	"  Cigarettes"->"  Cigarettes", \
	"  Other tobacco products"->"  Other tobacco products", \
	"  Waterproof footwear"->"  Waterproof footwear", \
	"  Passenger car tires"->"  Motor car tires", \
	"  Tires and tubes_ excluding passenger car tires and tire repair"->"  Other tires_ and tire tubes_ tire repair materials and rethreaded tires", \
	"  Conveyor and transmission belting"->"  Conveyor and transmission belting", \
	"  Other rubber products"->"  Other rubber products", \
	"  Hose and tubing_ mainly rubber"->"  Hose and tubing_ mainly rubber", \
	"  Plastic containers and closures"->"  Other plastic products", \
	"  Other plastic products and rubber end product"->"  Plastic pipe and pipe fittings and other rubber end-product", \
	"  Leather and other leather goods"->"  Leather_ chamois leather_ composition leather and parings and other waste of leather", \
	"  Footwear_ excluding waterproof"->"  Footwear_ excluding waterproof", \
	"  Leather gloves"->"  Leather gloves", \
	"  Luggage_ briefcases_ etcetera"->"  Trunks_ suitcases_ briefcases_ school satchels and similar containers", \
	"  Handbags_ wallets_ etcetera"->"  Handbags_ wallets_ and similar personal articles such as eyeglass and cigar cases and coin purses", \
	"  Cotton woven fabric"->"  Cotton woven fabric", \
	"  Tire cord fabric"->"  Tire cord fabric", \
	"  Felt"->"  Felt", \
	"  Man-made staple fibres"->"  Man-made staple fibres", \
	"  Polyamide resins_ including nylon"->"  Polyamide resins_ including nylon", \
	"  Yarn_ filament and staple fibres"->"  Filament yarn and yarn of staple fibres", \
	"  Tire yarn"->"  Tire yarn", \
	"  Fabrics_ excluding cotton"->"  Fabrics_ excluding cotton", \
	"  Yarn and thread_ excluding filament and tire"->"  Yarn and thread_ excluding filament and tire", \
	"  Rope and twine"->"  Rope and twine", \
	"  Narrow fabrics_ including lace"->"  Narrow fabrics_ including lace", \
	"  Textile floor covering"->"  Textile floor covering", \
	"  Awnings_ tarpaulins_ etcetera"->"  Tarpaulins_ awnings and sun blinds", \
	"  Tents_ sleeping bags_ sails_ etcetera"->"  Tents_ sails and sleeping bags", \
	"  Bedding and other household textile products"->"  Bedding and other household textile products", \
	"  Other textile products"->"  Other textile products", \
	"  Hosiery and knitted clothing"->"  Hosiery and knitted clothing", \
	"  Knitted fabrics"->"  Knitted fabrics", \
	"  Clothing and accessories"->"  Clothing and accessories_ excluding dressed furs and fur appare", \
	"  Dressed furs"->"  Dressed furs", \
	"  Fur apparel"->"  Fur apparel", \
	"  Wood chips and wood waste"->"  Wood chips and wood waste", \
	"  Lumber and timber"->"  Lumber and timber", \
	"  Custom wood work and millwork"->"  Custom wood work and millwork", \
	"  Plywood and veneer"->"  Plywood and veneer", \
	"  Wood construction products_ excluding prefabricated buildings"->"  Millwork and wood structural products_ excluding prefabricated buildings", \
	"  Wood prefabricated buildings"->"  Wood prefabricated buildings", \
	"  Wood containers"->"  Wood containers and pallets", \
	"  Caskets and coffins"->"  Caskets and coffins_ of all materials", \
	"  Other wood end products"->"  Other wood end-products", \
	"  Household furniture and furniture parts"->"  Household furniture and furniture parts", \
	"  Office furniture"->"  Office furniture", \
	"  Other furniture and fixtures"->"  Other furniture and mattresses and lamps", \
	"  Wood pulp"->"  Wood pulp", \
	"  Newsprint paper"->"  Newsprint paper", \
	"  Other paper"->"  Other paper", \
	"  Tissue and sanitary paper stock"->"  Tissue and sanitary paper stock", \
	"  Wrapping and sack paper_ bag stock"->"  Wrapping and sack paper and paper bag stock", \
	"  Paperboard_ including boxboard"->"  Paperboard_ including boxboard", \
	"  Asphalt building products and building paper"->"  Asphalt building products and building paper", \
	"  Toilet paper_ paper towel_ tissue_ etcetera"->"  Household and personal use paper products", \
	"  Paper waste and scrap"->"  Paper waste and scrap", \
	"  Vinyl floor and wall covering"->"  Vinyl floor and wall covering", \
	"  Paper bags and containers_ plastic bags"->"  Paper bags and containers and plastic bags", \
	"  Coated paper product_ including wallpaper"->"  Coated paper products_ including wallpaper", \
	"  Stationery and photographic paper"->"  Stationery and photographic paper", \
	"  Other paper end products"->"  Other paper end-products", \
	"  Newspapers_ magazines and periodicals"->"  Newspapers_ magazines and periodicals", \
	"  Books_ greeting and post cards_ maps_ etcetera"->"  Books_ greeting cards_ post cards_ maps and charts", \
	"  Banknotes_ cheques and stamps_ etcetera"->"  Unused postage stamps_ banknotes_ cheque forms and stock and bonds", \
	"  Business forms_ advertising flyers_ other printed material"->"  Business forms_ advertising flyers_ other printed material", \
	"  Advertising in print media"->"  Advertising in print media", \
	"  Specialized publishing service"->"  Specialized publishing service", \
	"  Printing plates_ type_ etcetera"->"  Printing type_ blocks_ plates_ cylinders and other printing components", \
	"  Iron and steel ingots_ billets and other primary forms and ferro-alloys"->"  Ferro-alloys and iron and steel ingots_ billets and other primary forms", \
	"  Steel castings"->"  Steel castings", \
	"  Reinforcing bars and rods"->"  Reinforcing bars and rods", \
	"  Flat iron and steel_ including alloy_ coated"->"  Flat iron and steel", \
	"  Steel railway construction material"->"  Iron and steel railway construction material", \
	"  Tar and pitch"->"  Tar and pitch", \
	"  Carbon and graphite products"->"  Carbon and graphite products", \
	"  Oil and gas casing and drill pipe"->"  Casing_ tubing and drill pipe_ of a kind used for drilling for oil and gas", \
	"  Oil and gas line pipe"->"  Line pipe of a kind used for oil and gas pipelines", \
	"  Other steel pipes and tubes"->"  Other steel pipes and tubes", \
	"  Other cast iron products"->"  Other cast iron products", \
	"  Iron and steel pipe fittings"->"  Cast iron pipe and fittings and other iron and steel pipe fittings", \
	"  Nickel in primary forms (except castings)"->"  Nickel in primary forms", \
	"  Copper in primary forms (except castings)"->"  Copper in primary forms", \
	"  Zinc in primary forms and  lead in primary forms"->"  Zinc in primary forms and  lead in primary forms", \
	"  Lead_ zinc and other non-ferrous metal in primary forms (except castings)"->"  Lead_ zinc and other non-ferrous metals in primary forms", \
	"  Aluminum in primary forms"->"  Aluminum in primary forms", \
	"  Precious metals in primary forms excluding  gold"->"  Precious metals in primary forms excluding gold", \
	"  Other non-ferrous base and fabricated materials"->"  Other non-ferrous base and fabricated materials", \
	"  Other non-ferrous fabricated materials"->"  Other primary products of other non-ferrous metals", \
	"  Other inorganic bases and metallic oxides"->"  Other inorganic bases and metallic oxides", \
	"  Metal scrap and waste"->"  Metal scrap and waste", \
	"  Aluminium and aluminium alloy fabricated materials"->"  Other primary products of aluminum and aluminum alloys_ excluding castings", \
	"  Copper fabricated materials"->"  Other primary products of non-alloy copper_ excluding castings", \
	"  Copper alloy fabricated materials"->"  Other primary products of copper alloys_ excluding castings", \
	"  Nickel and nickel alloy fabricated materials"->"  Other primary products of nickel and nickel alloys_ excluding castings", \
	"  Zinc and zinc alloy fabricated materials and lead and lead alloy fabricated materials"->"  Zinc and zinc alloy fabricated materials and lead and lead alloy fabricated materials", \
	"  Lead and lead alloy fabricated materials"->"  Other primary products of lead and lead alloys_ excluding castings", \
	"  Non-ferrous fabricated castings"->"  Non-ferrous metal castings", \
	"  Soldering rods and wire"->"  Soldering rods and wire", \
	"  Fabricated steel plate"->"  Fabricated steel plate", \
	"  Metal tanks"->"  Metal tanks", \
	"  Power boilers"->"  Power boilers", \
	"  Iron and steel structural materials"->"  Iron and steel structural materials", \
	"  Prefabricated structures and buildings"->"  Prefabricated structures and buildings", \
	"  Metal doors_ windows_ and other building product"->"  Metal doors_ windows_ and other building product", \
	"  Corrugated metal culvert pipe"->"  Corrugated metal culvert pipe", \
	"  Iron and steel stampings"->"  Iron and steel stampings", \
	"  Metal roofing_ siding_ ducts_ etcetera"->"  Metal roofing_ siding_ ceilings_ partitions_ decks and balconies", \
	"  Other metal end products"->"  Metal containers and closures", \
	"  Iron and steel wire and cable"->"  Iron and steel wire and cable", \
	"  Iron and steel wire fencing and screen"->"  Iron and steel wire fencing and screen", \
	"  Chain_ excluding motor vehicle and power transmission"->"  Chain_ excluding motor vehicle and power transmission", \
	"  Welding rods and wire electrodes"->"  Welding rods and wire electrodes", \
	"  Kitchen utensils and wire products"->"  Kitchen utensils and wire products", \
	"  Hardware"->"  Hardware", \
	"  Hand and measuring tools"->"  Machine tools and accessories and hand and measuring tools", \
	"  Scissors_ razor blades_ industrial cutlery_ etcetera"->"  Scissors_ razor bladesand manicure and pedicure sets", \
	"  Household washers_ dryers_ mowers_ snowblowers_ etcetera"->"  Household clothes washers_ dryers and dishwashers_ and lawn movers_ snowblowers_ and lawn sprinkler", \
	"  Non-electric furnaces and heating equipment"->"  Non-electric furnaces and heating equipment", \
	"  Commercial cooking equipment"->"  Commercial cooking equipment", \
	"  Iron and steel forgings"->"  Iron and steel forgings", \
	"  Valves"->"  Valves", \
	"  Metal and plastic plumbing fixtures and fittings"->"  Metal and plastic plumbing fixtures and fittings", \
	"  Gas and water meters"->"  Gas and water meters", \
	"  Fire fighting and traffic control equipment"->"  Fire fighting and traffic control equipment", \
	"  Firearms and military hardware"->"  Firearms and military hardware", \
	"  Bulldozers_ farm and garden tractors"->"  Wheel and crawler tractors and engines_ parts and assemblies thereof", \
	"  Other agricultural machinery"->"  Other agricultural machinery", \
	"  Bearings and mechanical power transport equipment"->"  Bearings and mechanical power transport equipment", \
	"  Pumps_ compressors_ fans and blowers"->"  Pumps_ compressors_ fans and blowers", \
	"  Conveyors_ elevators and hoisting machinery"->"  Conveyors_ elevators and hoisting machinery", \
	"  Industrial trucks and material handling equipment"->"  Industrial trucks and material handling equipment", \
	"  Fans and air circulation units_ not industrial"->"  Fans and air circulation units_ not industrial", \
	"  Air purification equipment and other general purpose machinery"->"  Air purification equipment and other general purpose machinery", \
	"  Industrial furnaces_ kilns and ovens"->"  Industrial furnaces_ kilns and ovens", \
	"  Machine tools and industry specific machinery"->"  Industry specific machinery", \
	"  Power hand tools"->"  Power hand tools", \
	"  Refrigeration and air condition equipment excluding  household"->"  Refrigeration and air condition equipment excluding  household", \
	"  Scales and balances"->"  Scales and balances", \
	"  Vending machines"->"  Vending machines", \
	"  Computers and office equipment_ excluding photography and fax"->"  Computers and office equipment_ excluding photocopy and fax machines", \
	"  Aircraft and aircraft engines"->"  Aircraft and aircraft engines", \
	"  Aircraft parts and equipment"->"  Aircraft parts and equipment", \
	"  Aircraft service and repairs"->"  Aircraft service and repairs", \
	"  Automobiles_ including passenger vans"->"  Automobiles_ including passenger vans", \
	"  Trucks_ road tractors and chassis"->"  Trucks_ road tractors and chassis", \
	"  Buses and chassis"->"  Buses and chassis", \
	"  Other motor vehicles_ motor homes_ motorcycles_ etcetera"->"  Other motor vehicles", \
	"  Mobile homes"->"  Mobile homes", \
	"  Trailers and semi-trailers"->"  Trailers and semi-trailers", \
	"  Truck and bus bodies and cargo containers"->"  Truck and bus bodies and cargo containers", \
	"  Motor vehicle engines and parts"->"  Motor vehicle engines and parts", \
	"  Motor vehicle electric equipment"->"  Motor vehicle electric equipment", \
	"  Motor vehicle parts and accessories excluding engine and electric"->"  Motor vehicle parts and accessories excluding engine and electric", \
	"  Locomotive_ railroad and urban transport rolling stock"->"  Locomotive_ railroad and urban transport rolling stock", \
	"  Parts for locomotive_ railroad and urban transport rolling stock"->"  Parts for locomotive_ railroad and urban transport rolling stock", \
	"  Ships_ boats and parts_ excluding pleasure"->"  Ships and boats and parts thereof_ excluding  pleasure boats and sporting craft", \
	"  Ship repairs"->"  Ship repairs", \
	"  Snowmobiles"->"  Snowmobiles", \
	"  Pleasure boats and sporting craft"->"  Pleasure boats and sporting craft", \
	"  Small household appliances including microwave oven"->"  Small household appliances including microwave oven", \
	"  Electric furnace and other electric heating equipment"->"  Electric furnace and other electric heating equipment", \
	"  Household refrigerators and freezers"->"  Household refrigerators and freezers", \
	"  Household cooking equipment_ excluding microwave ovens"->"  Household cooking equipment_ excluding microwave ovens", \
	"  Radio_ television_ VCR_ and unrecorded tape"->"  Stereo equipment_ televisions_ VCRs_ and similar equipment_ and unrecorded tape", \
	"  Telephone and related equipment_ including facsimile"->"  Telephone and related equipment_ including fax machines", \
	"  Broadcasting and radio communications equipment"->"  Broadcasting and radio communications equipment", \
	"  Radar and radio navigation equipment"->"  Radar and radio navigation equipment", \
	"  Electronic equipment components"->"  Electronic equipment components", \
	"  Electronic alarm and signal systems"->"  Electronic alarm and signal systems", \
	"  Welding machinery and equipment"->"  Welding machinery and equipment", \
	"  Electric motors_ power generated equipment_ marine engines"->"  Electric motors_ power generated equipment_ marine engines", \
	"  Transformers and converters_ ballast"->"  Transformers and converters_ ballast", \
	"  Industrial electric equipment_ including safety"->"  Industrial electric equipment_ including safety", \
	"  Batteries"->"  Batteries", \
	"  Wire and cable_ insulated_ excluding aluminum"->"  Insulated wire and cable_ excluding aluminum", \
	"  Aluminum wire and cable"->"  Aluminum wire and cable", \
	"  Wiring materials and electrical meters"->"  Wiring materials and electrical meters", \
	"  Lighting fixtures_ bulbs and tubes"->"  Lighting fixtures_ bulbs and tubes", \
	"  Cement"->"  Cement", \
	"  Lime"->"  Lime", \
	"  Concrete products"->"  Concrete products", \
	"  Bricks and other clay building products"->"  Bricks and other clay building products", \
	"  Porcelain insulators"->"  Porcelain insulators", \
	"  Ceramic household products"->"  Ceramic household products", \
	"  Refractory products"->"  Refractory products", \
	"  Natural stone products"->"  Natural stone products", \
	"  Gypsum building products"->"  Gypsum building products", \
	"  Mineral wool building products"->"  Mineral wool building products", \
	"  Asbestos products"->"  Asbestos products", \
	"  Other non-metallic mineral basic products"->"  Other non-metallic mineral basic products", \
	"  Glass and other glass products"->"  Glass and other glass products", \
	"  Glass containers and mirrors and glass household products"->"  Glass containers and mirrors and glass household products", \
	"  Abrasive products"->"  Abrasive products", \
	"  Motor gasoline"->"  Motor gasoline", \
	"  Diesel and fuel oil_ aviation fuel"->"  Diesel and fuel oil_ aviation fuel", \
	"  Lubricating oils and greases"->"  Lubricating oils and greases", \
	"  Benzene_ toluene and xylene"->"  Benzene_ toluene and xylene", \
	"  Liquid petroleum gases_ including natural gas"->"  Liquid petroleum gases_ including natural gas", \
	"  Naphtha"->"  Naphtha", \
	"  Asphalt compound and other asphalt products"->"  Asphalt compound and other asphalt products", \
	"  Petrochemical feed stock"->"  Petrochemical feed stock", \
	"  Fertilizers"->"  Fertilizers", \
	"  Polymers"->"  Polymers", \
	"  Cellulosic plastic film and sheet"->"  Cellulosic plastic film and sheet", \
	"  Monoethylene glycol"->"  Monoethylene glycol", \
	"  Pharmaceuticals"->"  Pharmaceuticals", \
	"  Paints and related products"->"  Paints and related products", \
	"  Refined vegetable oils"->"  Refined vegetable oils", \
	"  Oral care products"->"  Oral care products", \
	"  Soaps_ detergents and other cleaning products"->"  Soaps_ detergents and other cleaning products", \
	"  Other industrial chemical preparations"->"  Other industrial chemical preparations", \
	"  Personal care products_ bleach and fabric softener"->"  Personal care products_ bleach and fabric softener", \
	"  Chlorine"->"  Chlorine", \
	"  Oxygen"->"  Oxygen", \
	"  Phosphorous"->"  Phosphorous", \
	"  Other chemical elements"->"  Other chemical elements", \
	"  Sulphuric acid"->"  Sulphuric acid", \
	"  Other inorganic acids and oxygen compounds"->"  Other inorganic acids and oxygen compounds", \
	"  Ammonia"->"  Ammonia", \
	"  Caustic soda"->"  Caustic soda", \
	"  Sodium chlorate"->"  Sodium chlorate", \
	"  Sodium phosphates"->"  Sodium phosphates", \
	"  Sodium carbonate"->"  Sodium carbonate", \
	"  Other metallic salts and peroxysalts"->"  Other metallic salts and peroxysalts", \
	"  Deuterium oxide_ radioactive and other inorganic chemical"->"  Deuterium oxide_ radioactive and other inorganic chemical", \
	"  Ethylene"->"  Ethylene", \
	"  Butylenes"->"  Butylenes", \
	"  Butadiene"->"  Butadiene", \
	"  Styrene"->"  Styrene", \
	"  Vinyl chloride"->"  Vinyl chloride", \
	"  Other hydrocarbons and derivatives"->"  Other hydrocarbons and derivatives", \
	"  Methyl alcohol"->"  Methyl alcohol", \
	"  Other alcohols and derivatives"->"  Other alcohols and derivatives", \
	"  Ethers_ alcohol peroxides_ etcetera"->"  Ethers_ alcohol peroxides_ etcetera", \
	"  Other phenols_ aldehydes and ketones"->"  Other phenols_ aldehydes and ketones", \
	"  Organic acids and derivatives"->"  Organic acids and derivatives", \
	"  Organo-inorganic compounds"->"  Organo-inorganic compounds", \
	"  Other organic chemicals"->"  Other organic chemicals", \
	"  Titanium dioxide_ excluding slag"->"  Titanium dioxide_ excluding slag", \
	"  Carbon"->"  Carbon", \
	"  Pigments and dyes"->"  Pigments and dyes", \
	"  Synthetic rubber"->"  Synthetic rubber", \
	"  Antifreezing preparations"->"  Antifreezing preparations", \
	"  Additives and automobile chemicals"->"  Additives and automobile chemicals", \
	"  Rubber and plastic compounding agents"->"  Rubber and plastic compounding agents", \
	"  Explosives and non-military ammunition"->"  Explosives and non-military ammunition", \
	"  Military ammunition and ordnance"->"  Military ammunition and ordnance", \
	"  Crude vegetable materials and extracts"->"  Crude vegetable materials and extracts", \
	"  Insecticides and herbicides"->"  Insecticides and herbicides", \
	"  Adhesives"->"  Adhesives", \
	"  Catalysts"->"  Catalysts", \
	"  Metal working chemicals"->"  Metal working chemicals", \
	"  Printing and other inks"->"  Printing and other inks", \
	"  Polish_ cream and wax products"->"  Polish_ cream and wax products", \
	"  Other oils_ fats and waxes"->"  Other oils_ fats and waxes", \
	"  Aircraft and nautical navigation instruments_ excluding radio"->"  Aircraft and nautical navigation instruments_ excluding radio", \
	"  Measuring_ photo_ medical and scientific instruments"->"  Measuring_ photo_ medical and scientific instruments", \
	"  Industrial safety equipment"->"  Industrial safety equipment", \
	"  Watches_ clocks_ etcetera"->"  Clocks and watches and parts thereof_ excluding staps_ bands and bracelets", \
	"  Photographic and photocopy equipment_ film and plate"->"  Photographic and photocopy equipment_ film and plate", \
	"  Jewelry_ silverware_ flatware_ etcetera"->"  Pearls and precious stones excluding diamonds_ jewelry and imitation", \
	"  Brooms_ brushes_ mops_ etcetera"->"  Brooms_ mops and brushes of all kinds including toothbrushes_ hair brushes_ shaving brushes and make-up application brushes_ but excluding artists' brushes and brushes used as parts of machines_ appliances or vehicles", \
	"  Bicycles"->"  Bicycles", \
	"  Recreational equipment"->"  Recreational equipment", \
	"  Toys and games_ including electronic"->"  Toys and games_ including electronic", \
	"  Impregnated and coated fabrics"->"  Impregnated and coated fabrics", \
	"  Floor and wall covering_ excluding vinyl"->"  Floor and wall covering_ backed with paper", \
	"  Advertising signs_ displays_ etcetera"->"  Illuminated signs_ illuminated name-plates and the like", \
	"  Shades and blinds"->"  Shades and blinds", \
	"  Animal hair_ fur dyeing_ etcetera"->"  Hair and bristles of pigs_ hogs_ boars_ baggers and horses_ coarse animal hair not carded or combed_ and waste of these products", \
	"  Sewing needs"->"  Sewing needs", \
	"  Recordings_ musical instruments_ artists' supplies_ etcetera"->"  Recordings_ musical instruments_ and artists' and smokers' supplies", \
	"  Art and decorative goods_ miscellaneous end products"->"  Art and decorative goods and miscellaneous end products", \
	"  Residential construction"->"  Residential building construction", \
	"  Non-residential building construction"->"  Non-residential building construction", \
	"  Road_ highway and airport runway construction"->"  Road_ highway and airport runway construction", \
	"  Gas and oil facility construction"->"  Gas and oil facility construction", \
	"  Electric power_ dams and irrigation construction"->"  Electric power_ dams and irrigation construction", \
	"  Railway and telecommunications construction"->"  Railway and telecommunications construction", \
	"  Other engineering construction"->"  Other engineering construction", \
	"  Air transportation"->"  Air transportation and services incidental to air transportation", \
	"  Ambulance_ school bus and other transportation"->"  Ambulance_ school bus and other transportation", \
	"  Other services incidental to transport"->"  Other services incidental to transportation", \
	"  Water transport"->"  Water transportation", \
	"  Services incidental to water transport"->"  Services incidental to water transportation", \
	"  Railway transportation"->"  Railway transportation and services incidental to railway transportation", \
	"  Truck transportation"->"  Truck transportation", \
	"  Bus transport_ interurban and rural"->"  Bus transportation_ interurban and rural", \
	"  Urban transit"->"  Urban transit", \
	"  Taxicab transportation"->"  Taxi and limousine transportation services", \
	"  Pipeline transportation"->"  Pipeline transportation", \
	"  Highway and bridge maintenance"->"  Highway and bridge maintenance", \
	"  Storage and warehousing"->"  Storage and warehousing", \
	"  Radio and television broadcasting_ including cable"->"  Radio and television broadcasting_ including cable", \
	"  Telephone and other telecommunications"->"  Telephone and other telecommunication services", \
	"  Postal services"->"  Postal and courier services", \
	"  Electric power"->"  Electric power", \
	"  Gas distribution"->"  Gas distribution", \
	"  Coke"->"  Coke", \
	"  Water and other utilities"->"  Water and other utilities", \
	"  Wholesaling margins"->"  Wholesaling margins", \
	"  Repair service for machinery and equipment"->"  Repair service for machinery and equipment", \
	"  Rental of office equipment"->"  Rental and leasing of office equipment", \
	"  Retailing margins and service"->"  Retailing margins and service", \
	"  Imputed service charge_ banks and other deposit accepting intermediaries"->"  Imputed service charge_ banks and other deposit accepted intermediaries", \
	"  Other financial intermediary and real estate (non-rent) services"->"  Other financial intermediary and real estate (non-rent) services", \
	"  Insurance"->"  Insurance", \
	"  Gross imputed rent"->"  Gross imputed rent", \
	"  Gross paid residential rent"->"  Gross paid residential rent", \
	"  Other rent"->"  Other rent", \
	"  Private education services"->"  Education tuition and other fees", \
	"  Private hospital services"->"  Private hospital services", \
	"  Other health and social services"->"  Miscellaneous health care and social assistance services", \
	"  Motion picture_ audio and video services"->"  Services of the motion picture and sound recording industries", \
	"  Other recreational services"->"  Art_ entertainment and recreation services", \
	"  Engineering_ scientific_ accounting and legal services"->"  Architect_ engineering_ legal and accounting services", \
	"  Advertising services"->"  Advertising and related services", \
	"  Laundry and dry cleaning"->"  Dry cleaning and laundry services", \
	"  Accommodation services"->"  Accommodation services", \
	"  Meals"->"  Meals", \
	"  Personal services"->"  Personal services", \
	"  Photographic services"->"  Photographic services", \
	"  Services to buildings and dwellings"->"  Services to buildings and dwellings", \
	"  Software development_ computer service and rent"->"  Computer and related services", \
	"  Other services to business and persons"->"  Other professional_ scientific_ technical_ administrative_ support and related services", \
	"  Rental of automobiles and trucks"->"  Rental and leasing of automotive equipment", \
	"  Membership organization dues (excluding religious)"->"  Membership organization dues (excluding religious)", \
	"  Rental_ video and recreational equipment_ other machines and equipment"->"  Rental and leasing of consumer goods and commercial and industrial machinery and equipment", \
	"  Transportation margins"->"  Transportation margins", \
	"  Advertising and promotion"->"  Advertising and promotion", \
	"  Religious organizations services"->"  Religious organizations services", \
	"  Welfare organizations services"->"  Non-market social assistance services provided by non-profit institutions serving households", \
	"  Non-profit sports and recreation services"->"  Non-market art_ entertainment and recreation services provided by non-profit institutions serving households", \
	"  Non-profit educational services"->"  Non-market education services provided by non-profit institutions serving households", \
	"  Other non-profit services"->"  Other non-market services provided by non-profit institutions serving households", \
	"  Government funding of hospital"->"  Non-market government sector hospital services", \
	"  Government funding of residential care"->"  Non-market government sector residential care facility services", \
	"  Government funding of universities"->"  Non-market government sector university services", \
	"  Government funding of other education"->"  Non-market government sector other education services", \
	"  Defence services"->"  Defence services", \
	"  Other municipal government services"->"  Other non-market municipal government services", \
	"  Other provincial government services"->"  Other non-market provincial government services", \
	"  Other federal government services"->"  Other non-market federal government services", \
	"  Raw cotton"->"  Raw cotton", \
	"  Natural rubber and gums"->"  Natural rubber and gums", \
	"  Raw sugar"->"  Raw sugar", \
	"  Cocoa beans"->"  Cocoa beans", \
	"  Coffee_ not roasted"->"  Coffee_ not roasted", \
	"  Tropical fruit"->"  Tropical fruit", \
	"  Unallocated imports and exports"->"  Unallocated imports and exports", \
	"  Sales of other government services"->"  Sales of other government services", \
	"  Indirect taxes on products"->"  Indirect taxes on products")

table (mapping_IOLComFD_to_IOLCom[iolc,iolfd])

IOLFinalDemand[iolfd,iolc,t] = map (IOLFinalDemandx[iolfd,iolcfd,t], mapping_IOLComFD_to_IOLCom[iolc,iolfd])

table (IOLFinalDemand[iolfd,iolc,t])

