string $sourceDataDir = $home + "/data/create"

localinformant testInf[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameRow=1, \
	elemNameCol=2, \
	searchElemName1="b", replaceElemName1="z", wholeWordElemName=off,\
	file=$sourceDataDir/elemNames.txt)
display (testInf[])

boolean $answer
listen ("hit enter to continue", $answer)

localinformant testInf2[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=2, \
	firstRow=2, \
	searchElemName1=",", replaceElemName1="_", \
	replaceWhiteSpaceInElemName = ".", \
	file=$sourceDataDir/coordDataLeadSpc.csv)
display (testInf2[])

localinformant dim1Inf[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=1, \
	firstRow=2, \
	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/coordData.csv)
display (dim1Inf[])

localinformant dim2Inf[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=2, \
	firstRow=2, \
	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/coordData.csv)
display (dim2Inf[])


! For fairly comprehensive test uncomment each one by one
skipto coord
!skipto coordExtraColsErr
!skipto coordExtraCols
!skipto coordError
!skipto coordError2
!skipto odom
!skipto odomExtraColsErr
!skipto odomExtraCols
!skipto odomExtraRows
!skipto odomExtraRowsErr

boolean $answer
listen ("pausing for a sec, hit enter", $answer)

coord:
!coordDataTable[d1,d2] = import(; fileFormat="text", dataFormat="coordinate", \
local coordDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="coordinate", \
	allCoord=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/coordData.csv)
table (coordDataTable[d1,d2])
skipto end

coordExtraColsErr:
say ("Should report error")
local coordDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="coordinate", \
	allCoord=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/coordDataExtraCols.csv)
!table (coordDataTable[d1,d2])
skipto end

coordExtraCols:
say ("Should not report error")
local coordDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="coordinate", \
	allCoord=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	stopIfExtraOrMissData=off, \
	file=$sourceDataDir/coordDataExtraCols.csv)
skipto end

coordError:
!coordDataTable[d1,d2] = import(; fileFormat="text", dataFormat="coordinate", \
local coordDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="coordinate", \
	allCoord=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/coordDataBadElem.csv)
table (coordDataTable[d1,d2])
skipto end

coordError2:
!coordDataTable[d1,d2] = import(; fileFormat="text", dataFormat="coordinate", \
local coordDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="coordinate", \
	allCoord=on, firstLine=2, delimiter=",", \
!	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/coordDataBadElem.csv)
table (coordDataTable[d1,d2])
skipto end

odom:
local odomDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="odometer", \
	rowTitles=on, firstLine=2, delimiter=",", \
!	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/odomData.csv)
table (odomDataTable[d1,d2])
skipto end

odomExtraColsErr:
say ("Should report extra columns error")
local odomDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="odometer", \
	rowTitles=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	file=$sourceDataDir/odomDataExtraCols.csv)
table (odomDataTable[d1,d2])
skipto end

odomExtraCols:
say ("Should not report extra columns")
local odomDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="odometer", \
	rowTitles=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	stopIfExtraOrMissData=off, \
	file=$sourceDataDir/odomDataExtraCols.csv)
table (odomDataTable[d1,d2])
skipto end

odomExtraRows:
say ("Should report warning BUT not stop")
local odomDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="odometer", \
	rowTitles=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	stopIfExtraOrMissData=off, \
	file=$sourceDataDir/odomDataExtraRows.csv)
table (odomDataTable[d1,d2])
skipto end

odomExtraRowsOldWay:
say ("Should report warning -- old way")
local odomDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, \
	rowTitles=on,	dataFile=$sourceDataDir/odomDataExtraRowsOldDataFormat.txt)
table (odomDataTable[d1,d2])
skipto end

odomExtraRowsErr:
say ("Should report extra rows as error and stop")
local odomDataTable[d1,d2] = create(; dim=dim1Inf, dim=dim2Inf, fileFormat="text", dataFormat="odometer", \
	rowTitles=on, firstLine=2, delimiter=",", \
	searchElemName1=",", replaceElemName1="_", \
	dataFile=$sourceDataDir/odomDataExtraRows.csv)
table (odomDataTable[d1,d2])
skipto end

end: