string $sourceDataDir = $home + "/primaryData/statCanIOData/CanadaIOLTables"

string $oldToolsDir = $toolsDir
$toolsDir="/whatif/tool/tools-main"
say ("")
say ("reading ",$sourceDataDir,"/IOL.csv for IOLCom")
localinformant IOLCom[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=1, \
	firstRow=2, \
	file=$sourceDataDir/IOL.csv, transSubStrInElemName1=",", valSubStrInElemName1="_")
export (IOLCom[]; file=$sourceDataDir/IOLCom.txt)

say ("")
say ("reading ",$sourceDataDir,"/IOLFinalDemand.csv for IOLcomFD")
localinformant IOLcomFD[] = create (; object=set, \
	allowDuplicate=on, \
	delimiter=",", \
	elemNameCol=2, \
	firstRow=2, \
	transSubStrInElemName1=",", valSubStrInElemName1="_", \
	file=$sourceDataDir/IOLFinalDemand.csv)
export (IOLcomFD[]; file=$sourceDataDir/IOLcomFD.txt)

boolean $answer
listen ("pausing for a sec, hit enter", $answer)
$toolsDir=$oldToolsDir

say ("")
say ("mapping IOLFinalDemandx to IOLFinalDemand")
local mapping_IOLComFD_to_IOLCom[iolc,iolfd] = create (; dim=IOLCom, dim=IOLcomFD, format=mapping, \
	"Total commodities"->"Total commodities", \
	"Cattle and calves"->"  Cattle and calves", \
 	"  Hogs"->"  Hogs", \
	"  Poultry"->"  Poultry")

table (mapping_IOLComFD_to_IOLCom[iolc,iolfd])


